Bug 1298118 - Unable to get the client statedump, as /var/run/gluster directory is not available by default
Unable to get the client statedump, as /var/run/gluster directory is not avai...
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: build (Show other bugs)
3.1
x86_64 Linux
unspecified Severity medium
: ---
: RHGS 3.2.0
Assigned To: Milind Changire
SATHEESARAN
:
Depends On: 1302200
Blocks: 1302202 1351522
  Show dependency treegraph
 
Reported: 2016-01-13 05:03 EST by SATHEESARAN
Modified: 2017-03-23 01:26 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1302200 (view as bug list)
Environment:
Last Closed: 2017-03-23 01:26:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 05:18:45 EDT

  None (edit)
Description SATHEESARAN 2016-01-13 05:03:53 EST
Description of problem:
-----------------------
/var/run/gluster should automatically created after installing glusterfs fuse client rpms

Consequences of this issue is that the user unable to get the to get the statedump of fuse mount process ( client side statedump )

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
RHGS 3.1.1 ( glusterfs-3.7.1-16.el7 )

How reproducible:
-----------------
Always

Steps to Reproduce:
-------------------
1. Look for the director /var/run/gluster
(ie) ls /var/run/gluster

Actual results:
---------------
/var/run/gluster directory is not available after install client rpms

Expected results:
-----------------
/var/run/gluster should be created by the client rpms

Additional info:
----------------
Consequence of this issue would be user unable to get the client statedump

Workaround is to create : /var/run/gluster and then initiate statedump
Comment 1 Milind Changire 2016-01-14 00:21:45 EST
As per downstream glusterfs.spec.in, /var/run/gluster is packaged only with the glusterfs-server RPM and specifically excluded for non-server RPM packaging. So any client only RPM install will not have that directory created.

Also, as per Niels comment for his upstream patch on making /var/run/gluster available, it should have been made available for native client installs as well ... but its not so in downstream packaging.

I'll have to move the directory packaging in downstream RPMs to a common RPM like the primary package 'glusterfs'.

Is this acceptable?
Comment 2 Niels de Vos 2016-01-25 10:03:02 EST
(In reply to Milind Changire from comment #1)
...
> I'll have to move the directory packaging in downstream RPMs to a common RPM
> like the primary package 'glusterfs'.
> 
> Is this acceptable?

Yes, that should be acceptable. Please make sure to file a bug+patch for this in upstream as well if the problem exists there still.
Comment 9 SATHEESARAN 2016-10-25 03:29:54 EDT
Tested with glusterfs-3.8.4-3.el7 and glusterfs-3.8.4-3.el6

/var/run/gluster directory is created by glusterfs package

# rpm -qf /var/run/gluster/
glusterfs-3.8.4-3.el7.x86_64

# rpm -qf /var/run/gluster
glusterfs-3.8.4-3.el6.x86_64
Comment 11 errata-xmlrpc 2017-03-23 01:26:32 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html

Note You need to log in before you can comment on or make changes to this bug.